Uptime MonitoringGet uptime status
Uptime Monitoring

Get uptime status

Retrieve the current uptime monitoring status for a link's destination URL, including current state and response time.

curl -X GET "https://api.mythic-analytics.com/api/v1/links/example_string/uptime/status" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": {
    "link_id": "lnk_9xP3qLmN",
    "status": "up",
    "response_time_ms": 245,
    "last_checked": "2024-06-15T14:30:00.000Z",
    "monitoring_active": true,
    "interval": 300
  }
}
GET
/links/{id}/uptime/status
GET
Security Scheme
Bearer Tokenstring
Required

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
path
idstring
Required

Short link identifier.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Path Parameters

idstring
Required

Short link identifier.

Responses

successboolean
dataobject